# Generated by Django 2.2.3 on 2020-01-22 17:26

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import re


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('webhosts', '0009_auto_20190822_1941'),
    ]

    operations = [
        migrations.CreateModel(
            name='BackupSystem',
            fields=[
                ('id_system', models.AutoField(primary_key=True, serialize=False)),
                ('bd_name', models.CharField(max_length=200)),
                ('bd_type', models.CharField(choices=[('mysql', 'Mysql'), ('postgresql', 'PostgreSQL')], max_length=11)),
                ('frequency', models.IntegerField(validators=[django.core.validators.MinValueValidator(1)])),
                ('type_frequency', models.CharField(choices=[('days', 'Days'), ('hours', 'Hours'), ('minutes', 'Minutes'), ('seconds', 'Seconds')], max_length=11)),
                ('server_ip', models.CharField(max_length=20, validators=[django.core.validators.RegexValidator(re.compile('([0-9]{1,3}.?){4}'), 'ip incorrecta', 'invalid')])),
                ('server_username', models.CharField(max_length=200)),
                ('server_password', models.CharField(max_length=200)),
                ('server_route_save', models.CharField(blank=True, max_length=500, null=True)),
                ('copy_to_server', models.BooleanField(blank=True, default=False)),
                ('copy_to_drive', models.BooleanField(blank=True, default=False)),
                ('system', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='webhosts.System')),
            ],
        ),
        migrations.CreateModel(
            name='BackupReceptor',
            fields=[
                ('id_receptor', models.AutoField(primary_key=True, serialize=False)),
                ('receptor_server_username', models.CharField(max_length=200)),
                ('receptor_password', models.CharField(max_length=200)),
                ('receptor_server_ip', models.CharField(max_length=20, validators=[django.core.validators.RegexValidator(re.compile('([0-9]{1,3}.?){4}'), 'ip incorrecta', 'invalid')])),
                ('receptor_route_save', models.CharField(max_length=500)),
                ('receptor_type', models.CharField(choices=[('drive', 'Drive'), ('server', 'Server')], default='server', max_length=11)),
                ('system', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='backup.BackupSystem')),
            ],
        ),
    ]
